Opened 17 years ago

Closed 17 years ago

Last modified 2 years ago

#901 closed defect (invalid)

scummvm doesn't start without glide supporting system

Reported by: SF/logicdeluxe Owned by: Kirben
Priority: normal Component: Port: Win32
Keywords: Cc:
Game:

Description

Windows version I downloaded on 17-june-2003. No matter what parameters I add to scummvm.exe I get the error: "gd error (glide): _GlideInitEnvironment: glide2x.dll expected Voodoo Graphics, none detected". Sorry, the "-v" parameter isn't working either. I suspect this is since there is no more separate scummvmgl.exe in the package. The problem might be occour because I have removed the Voodoo 1 Board from my PC, so I tried removing that file glide2x.dll, too. But then, I get the error message: "Die erforderliche .DLL-Datei GLIDE2X.DLL wurde nicht gefunden." which translates to English: "The required .DLL file GLIDE2X.DLL was not found."

Please don't force people installing the entire OS from scatch. You should just check for glide supporting hardware, and if there is no such hardware, just don't use it. (Software renderer would probably much less usefull than the excellent ScummVM's build in filters anyway.) An option in scummvm.ini and a command line parameter for explicitely don't use glide should be existing as well.

Ticket imported from: #756239. Ticket imported from: bugs/901.

Change History (3)

comment:1 by Kirben, 17 years ago

ScummVM doesn't support or use Glide support. The Windows snapshots of ScummVM have optional OpenGL support now and require the opengl32.dll file though. Try restoring the original opengl32.dll file from your Windows CD, I recall Voodoo cards used to use a custom version.

comment:2 by Kirben, 17 years ago

Owner: set to Kirben
Resolution: invalid
Status: newclosed

comment:3 by digitall, 2 years ago

Component: --Unset--Port: Win32
Note: See TracTickets for help on using tickets.